Saltar al contenido

Get an agency slate entry

Módulo Opportunities

GET/agency-slates/{id}agencySlates.get

A named staff member on a staffing agency's slate. Returns one agency slate entry with its `ETag`. A agency slate entry the caller may not see returns 404.

  • Requiere la capacidad opportunities.application.read.
  • Alcances de OAuth: opportunities.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

agencySlates.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the agency slate.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: AgencySlate

agencySlates.get: AgencySlate
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the agency slate.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
application_idstring (uuid)SíIdentifier of the agency application.
person_idstring (uuid)SíIdentifier of the slated staff member.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "updated_at": "2026-10-08T14:30:00Z",
  "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "application_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/agency-slates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.agencySlates.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.agency_slates.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos agency-slates get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f